FROM python:3.12

WORKDIR /app

RUN apt-get update && apt-get install -y libpq-dev curl jq

COPY requirements.txt requirements.txt
RUN pip3 install -r requirements.txt

COPY . /app

ENV LANG=C.UTF-8
ARG GIT_COMMIT_HASH
ENV GIT_COMMIT_HASH=${GIT_COMMIT_HASH:-undefined}
ARG BUILD_DATE
ENV BUILD_DATE=${BUILD_DATE:-undefined}

CMD python -m src daemon
